Subject: Are RBI officers gazetted?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Mon, 15 Mar 2021 11:16:24 +0000

Algaily's Digest
Your Quora Digest

-----

Question: Are RBI officers gazetted?

Answer from Rakesh Mathur

No.RBI Officers are not Gazetted officers.RBI is not a government organization {(thank God!).However,RBI officers in the rank of General Manager and above can sign on passport
Read More: http://www.quora.com/Are-RBI-officers-gazetted?top_ans=170073105
-----
Question: Is German harder than Arabic language?

Answer from Mark Mostow

I have studied both German and Arabic. My native language is English, but I live in Israel and am fluent in Hebrew.

Both German and Arabic have their own challenges, but in m
Read More: http://www.quora.com/Is-German-harder-than-Arabic-language?top_ans=266035943
-----
Question: Among immigrants in the US, I notice that Indians are the most reluctant to move back to India. Is this accurate? Why?

Answer from Kanthaswamy Balasubramaniam

In the year 2007 - A 35 year old NRI who earned $ 3 Million could come to India, to Bangalore with a sum of Rs. 14 Crore, go to a place called Palace Orchards and purchase a 2
Read More: http://www.quora.com/Among-immigrants-in-the-US-I-notice-that-Indians-are-the-most-reluctant-to-move-back-to-India-Is-this-accurate-Why?top_ans=268317249
-----
Question: Is it worth it to move to Canada with regards to the high taxes and unavailability of many jobs nowadays?

Answer from Summer Rosa

A2A💯

Right now we are in a recession due to the covid virus. There's over a million unemployed here. Alot of jobs lost forever.

But it's great if you already have a job offe
Read More: http://www.quora.com/Is-it-worth-it-to-move-to-Canada-with-regards-to-the-high-taxes-and-unavailability-of-many-jobs-nowadays?top_ans=240252828
-----
Question: Is Ethereum a good investment in 2021? What is Ethereum worth in 2025?

Answer from Eugene Chygyryn

Ethereum will probably be one of the best investments in 2021 alongside other top-tier altcoins.

At the top of the bull run, we may see ETH reaching $20,000 when BTC reaches 
Read More: http://www.quora.com/Is-Ethereum-a-good-investment-in-2021-What-is-Ethereum-worth-in-2025?top_ans=259489931
-----
Question: How will Hong Kong be like 10 years from now? Will they still be rioting?

Answer from George Hu

Here's the things I think will happen.

 * The protesters will be gone. One way or the other.
 * Hong Kong will no longer be a popular tourist destination for Chinese. No one 
Read More: http://www.quora.com/How-will-Hong-Kong-be-like-10-years-from-now-Will-they-still-be-rioting?top_ans=175825224
-----
Question: Why do people return from Canada after getting a PR?

Answer from Brad Snelling

There is a bit of truth to all of the answers to this question. However, as a former customs officer, i can attest to the fact that many people head back to their home countri
Read More: http://www.quora.com/Why-do-people-return-from-Canada-after-getting-a-PR?top_ans=256031886
-----
Question: How does it feel to have a salary of AED 45,000/month (all inclusive) in Dubai for a couple who is planning to land there? Is it a luxurious-life salary?

Answer from Anbazhagan

My best friend was in Dubai for 6 years and exactly the same salary, 45K AED a month - one level below CIO. He left his family behind for the following reasons:

 * Single BHK
Read More: http://www.quora.com/How-does-it-feel-to-have-a-salary-of-AED-45-000-month-all-inclusive-in-Dubai-for-a-couple-who-is-planning-to-land-there-Is-it-a-luxurious-life-salary?top_ans=267975160
-----
Question: I am very weak mentally. I easily break down in any difficult or hard situation. I easily give up. I am very emotional as well. How can I make my mentality stronger & control my emotion?

Answer from Ritesh Kumar Mishra

Adi Guru Shankaracharya said, “Truth is Brahma, and this world is Maya.”

In this world nothing is fixed, what you see right now, will look different after some time.

How do 
Read More: http://www.quora.com/I-am-very-weak-mentally-I-easily-break-down-in-any-difficult-or-hard-situation-I-easily-give-up-I-am-very-emotional-as-well-How-can-I-make-my-mentality-stronger-control-my-emotion?top_ans=264708549
-----
Question: My father left the U.S. in 1999 and he had a green card at the time. Can he go back and retrieve his permanent residency?

Answer from Kathryn Berck

Sadly, no. Your father is welcome to use his old green card, if he still has it, as a prestigious bookmark, but it can’t be used for anything else - unless he can convince a C
Read More: http://www.quora.com/My-father-left-the-U-S-in-1999-and-he-had-a-green-card-at-the-time-Can-he-go-back-and-retrieve-his-permanent-residency?top_ans=237254812
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&id=080d9dfc181d4e0bbdaee1cfe5c68a06

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=080d9dfc181d4e0bbdaee1cfe5c68a06&t=1615806982824310&token=86cd758ae739303319ad295e6b6f8e5bcd97b3046abcacc284648c09e874d6df0bcc10d41550be36e812fad7c6577432a1974ff32baf3dbf1b80a83b37fdef18&type=2&uid=1229773278